/// <reference types="@adonisjs/application/build/adonis-typings" />
/// <reference types="@adonisjs/logger/build/adonis-typings/logger" />
import { type BaseContext } from '@apollo/server';
import type { ApplicationContract } from '@ioc:Adonis/Core/Application';
import type { HttpContextContract } from '@ioc:Adonis/Core/HttpContext';
import type { LoggerContract } from '@ioc:Adonis/Core/Logger';
import type { ApolloConfig } from '@ioc:Zakodium/Apollo/Server';
export default class ApolloServer<ContextType extends BaseContext = BaseContext> {
    private $apolloServer;
    private $contextFunction;
    private $app;
    private $path;
    private $enableUploads;
    private $uploadOptions?;
    constructor(application: ApplicationContract, config: ApolloConfig<ContextType>, logger: LoggerContract);
    applyMiddleware(): void;
    getGraphqlHandler(): (ctx: HttpContextContract) => Promise<void>;
    getUploadsMiddleware(): (ctx: HttpContextContract, next: () => void) => Promise<void>;
    start(): Promise<void>;
    stop(): Promise<void>;
}
